package edu.villanova.ftp.command;

import java.io.PrintWriter;
import java.io.File;
import java.net.Socket;
import java.util.Date;
import edu.villanova.ftp.security.IFtpAccount;

public class Nlist implements ICommand {

  String name;

  public boolean run(IFtpAccount user) {
    PrintWriter out = user.getOut();
    String host = user.getHost();
    String uid = user.getUID();
    String currDir = user.getCurrentDirectory();
    int port = user.getPort();
    try {
      out.println("150 ASCII data");
      Socket socket = new Socket(host,port);
      PrintWriter out2 = new PrintWriter(socket.getOutputStream(),true);
      File dir = new File(currDir);
      String[] files = null;
      files = dir.list();
      for(int i=0;i<files.length;i++) {
        out2.println(files[i]);
      }
      out2.close();
      socket.close();
      out.println("226 transfer complete");
      return true;
    } catch(Exception e) {
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "NLST";
  }
}