package edu.villanova.ftp.command;

import java.util.Date;
import java.io.PrintWriter;
import edu.villanova.ftp.security.IFtpAccount;

public class Quit implements ICommand {

  public boolean run(IFtpAccount user) {
    String host = user.getHost();
    String uid = user.getUID();
    try {
      user.isDone(true);
      return true;
    } catch(Exception e){
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "QUIT";
  }
}
