package edu.villanova.ftp.command;

import java.util.Date;
import java.io.PrintWriter;
import edu.villanova.ftp.security.IFtpAccount;

public class Type implements ICommand {

  public boolean run(IFtpAccount user) {
    PrintWriter out = user.getOut();
    String host = user.getHost();
    String uid = user.getUID();
    try {
      out.println("200 type set");
      return true;
    } catch(Exception e){
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "TYPE";
  }
}