package edu.villanova.ftp.command;

import java.util.Date;
import java.io.PrintWriter;
import edu.villanova.ftp.security.IFtpAccount;

public class User implements ICommand {

  public boolean run(IFtpAccount user) {
    PrintWriter out = user.getOut();
    String host = user.getHost();
    String command = user.getCommand();
    String uid = null;
    try {
      uid = command.substring(4);
      uid = uid.trim();
      user.setUID(uid);
      out.println("331 Password");
      return true;
    } catch(Exception e){
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "USER";
  }
}