package edu.villanova.ftp.security;

import java.net.Socket;
import edu.villanova.ftp.util.Logger;
import edu.villanova.ftp.command.ICommand;

public interface ISecurityContext {

  boolean authenticate(IFtpAccount user, String pass) throws Exception;

  boolean commandAutherization(IFtpAccount user, ICommand command) throws Exception;

  IFtpAccount initializeFtpAccount(Socket incoming, Logger logger) throws Exception;

}