package edu.villanova.ftp.util;

import java.io.PrintStream;
import java.util.Date;
import edu.villanova.ftp.security.IFtpAccount;

public class Logger {

  PrintStream out;

  public Logger(PrintStream out) {
    this.out = out;
  }

  public void log(String info) {
    out.println(new Date() + ":" + info);
  }

  public void log(String info, IFtpAccount user) {
    log(info + ":" + user.getHost() + ":" + user.getUID());
  }
}