package edu.villanova.ftp.command;
/*


*/
import java.util.Date;
import java.io.PrintWriter;
import java.net.Socket;
import edu.villanova.ftp.security.IFtpAccount;

public class Help implements ICommand {

  public boolean run(IFtpAccount user) {
    PrintWriter out = user.getOut();
    String host = user.getHost();
    String uid = user.getUID();
    try {
      out.println("214-The following commands are recognized:");
      out.println("   USER    PORT    RETR    MSND*   ALLO*   DELE    SITE*   MKD     XPWD");
      out.println("   PASS    PASV*   STOR    MSOM*   REST*   CWD     SYST    XMKD    CDUP");
      out.println("   ACCT*   TYPE    APPE*   MSAM*   RNFR    XCWD    STAT*   RMD     XCUP*");
      out.println("   REIN*   STRU*   MLFL*   MRSQ*   RNTO    LIST    HELP    XRMD    STOU*");
      out.println("   QUIT    MODE*   MAIL*   MRCP*   ABOR*   NLST    NOOP*   PWD      SYS");
      out.println("   MDTM*");
      out.println("214 (*'s => unimplemented)");
      return true;
    } catch(Exception e){
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "HELP";
  }
}