package edu.villanova.ftp.command;

import java.util.Date;
import java.io.PrintWriter;
import edu.villanova.ftp.security.IFtpAccount;

public class Port implements ICommand {

  public boolean run(IFtpAccount user) {
    PrintWriter out = user.getOut();
    String host = user.getHost();
    String uid = user.getUID();
    String command = user.getCommand();
    try {
      out.println("200 PORT command successful");
      int lng = command.length() - 1;
      int lng2 = command.lastIndexOf(",");
      int lng1 = command.lastIndexOf(",",lng2-1);
      String a1 = "",a2 = "";
      for(int i=lng1+1;i<lng2;i++) {
        a1 = a1 + command.charAt(i);
      }
      for(int i=lng2+1;i<=lng;i++) {
        a2 = a2 + command.charAt(i);
      }
      int ip1 = Integer.parseInt(a1);
      int ip2 = Integer.parseInt(a2);
      int port = ip1 * 16 *16 + ip2;
      user.setPort(port);
      return true;
    } catch(Exception e){
      System.err.println(new Date() + ":" + getName() + ":" + host + ":" + uid);
      e.printStackTrace();
      return false;
    }
  }

  public String getName() {
    return "PORT";
  }
}