package edu.villanova.ftp.security;

import java.io.PrintWriter;
import edu.villanova.ftp.util.Logger;

public interface IFtpAccount {

  public PrintWriter getOut();
  public void setOut(PrintWriter out);
  public String getHost();
  public void setHost(String host);
  public int getPort();
  public void setPort(int port);
  public String getHomeDirectory();
  public void setHomeDirectory(String homeDir);
  public String getCurrentDirectory();
  public void setCurrentDirectory(String currDir);
  public String getCommand();
  public void setCommand(String command);
  public String getLastCommand();
  public void setLastCommand(String lastCommand);
  public String getUID();
  public void setUID(String uid);
  public Logger getLogger();
  public void setLogger(Logger logger);
  public boolean isDone();
  public boolean isDone(boolean done);


}